
TYPO3.Flow - Bug # 31160

Status: Resolved Priority: Should have
Author: Marco Huber Category:
Created: 2011-10-21 Assigned To: Karsten Dambekalns
Updated: 2011-10-25 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Scripts/migrate-annotations.php should work with symlinks
Description

In an environment with symlinks (the Folder Packages/Framework is included by a symlink) the script doesn't find the packages under
Packages/Application, because the script uses the absolute path to Scripts/migrate-annotations.php.

I extended the script so you can give a second parameter with an absolute path.

Associated revisions
Revision 985ce277 - 2011-10-25 11:46 - Marco Huber

[FEATURE] Make path for migrate-annotations configurable

Optional parameter --packages-path to configure an individual absolute
path to the folder with the packages.

Change-Id: I34de5d4fa3b0abef1a101d97d2e29a31889bdb5a
Fixes: #31160
Releases: 1.0, 1.1

Revision 1a24f582 - 2011-10-25 12:18 - Marco Huber

[FEATURE] Make path for migrate-annotations configurable

Optional parameter --packages-path to configure an individual absolute
path to the folder with the packages.

Change-Id: I8856bdd38a42da17641c93117a1c1ebefceeadee
Fixes: #31160
Releases: 1.0, 1.1

Revision c8e6c977 - 2011-10-25 12:19 - Marco Huber

[FEATURE] Make path for migrate-annotations configurable

Optional parameter --packages-path to configure an individual absolute
path to the folder with the packages.

Change-Id: Ibd68b2616968af9713b861e67110e3019ebc2a27

2015-08-03 1/2



Fixes: #31160
Releases: 1.0, 1.1

History
#1 - 2011-10-21 09:43 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I34de5d4fa3b0abef1a101d97d2e29a31889bdb5a has been pushed to the review server.
It is available at http://review.typo3.org/6159

#2 - 2011-10-21 10:28 - Mr. Hudson

Patch set 2 of change I34de5d4fa3b0abef1a101d97d2e29a31889bdb5a has been pushed to the review server.
It is available at http://review.typo3.org/6159

#3 - 2011-10-25 11:48 - Karsten Dambekalns
- Tracker changed from Feature to Bug

#4 - 2011-10-25 11:49 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns
- Has patch set to No
- Affected Flow version set to FLOW3 1.0.0

#5 - 2011-10-25 11:50 - Mr. Hudson

Patch set 3 of change I34de5d4fa3b0abef1a101d97d2e29a31889bdb5a has been pushed to the review server.
It is available at http://review.typo3.org/6159

#6 - 2011-10-25 12:03 - Mr. Hudson

Patch set 1 of change Ibd68b2616968af9713b861e67110e3019ebc2a27 has been pushed to the review server.
It is available at http://review.typo3.org/6315

#7 - 2011-10-25 12:06 - Marco Huber
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:985ce27723bc8cb5b2b8b4f5269ffe4b4aac45ac.
